javax.batch.operations

## Class JobExecutionNotRunningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobExecutionNotRunningException

All Implemented Interfaces:
  Serializable

    public class JobExecutionNotRunningException
    extends BatchRuntimeException

JobExecutionNotRunningException is thrown when `JobOperator.stop(long)` is called on a job instance which is not currently running.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobExecutionNotRunningException()`
`JobExecutionNotRunningException(String message)`
`JobExecutionNotRunningException(String message, Throwable cause)`
`JobExecutionNotRunningException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobExecutionNotRunningException

    public JobExecutionNotRunningException()

#### JobExecutionNotRunningException

    public JobExecutionNotRunningException(String message)

#### JobExecutionNotRunningException

    public JobExecutionNotRunningException(Throwable cause)

#### JobExecutionNotRunningException

    public JobExecutionNotRunningException(String message,
                                   Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0